aboutsummaryrefslogtreecommitdiffstats
path: root/testing/openlldp
diff options
context:
space:
mode:
Diffstat (limited to 'testing/openlldp')
-rw-r--r--testing/openlldp/APKBUILD43
-rw-r--r--testing/openlldp/openlldp.confd2
-rwxr-xr-xtesting/openlldp/openlldp.initd24
3 files changed, 69 insertions, 0 deletions
diff --git a/testing/openlldp/APKBUILD b/testing/openlldp/APKBUILD
new file mode 100644
index 0000000000..caa36e4b74
--- /dev/null
+++ b/testing/openlldp/APKBUILD
@@ -0,0 +1,43 @@
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=openlldp
+pkgver=0.4a
+_realver=0.4alpha
+pkgrel=2
+pkgdesc="Open Source implementation of the IEEE standard 802.1AB Link Layer Discovery Protocol (LLDP)"
+url="http://openlldp.sourceforge.net/"
+arch="x86 x86_64"
+license="GPL"
+depends=
+makedepends=
+install=
+subpackages=""
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$_realver.tar.gz
+ $pkgname.initd
+ $pkgname.confd"
+
+_builddir="$srcdir"/$pkgname-$_realver
+
+#prepare() {
+# cd "$_builddir"
+# apply patches here
+#}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ install -m755 -D ../../$pkgname.initd "$pkgdir"/etc/init.d/lldpd
+ install -m644 -D ../../$pkgname.confd "$pkgdir"/etc/conf.d/lldpd
+}
+
+md5sums="f48ffd632b96246cbf0f5c485dea3b01 openlldp-0.4alpha.tar.gz
+7e1a489d8ccdd204cac68ce87e0ce360 openlldp.initd
+7ac497e5a8b2f68532816c5718f5bf62 openlldp.confd"
diff --git a/testing/openlldp/openlldp.confd b/testing/openlldp/openlldp.confd
new file mode 100644
index 0000000000..38d9613483
--- /dev/null
+++ b/testing/openlldp/openlldp.confd
@@ -0,0 +1,2 @@
+# Remove existing pid file at startup
+OPTS="-s"
diff --git a/testing/openlldp/openlldp.initd b/testing/openlldp/openlldp.initd
new file mode 100755
index 0000000000..4ab856addc
--- /dev/null
+++ b/testing/openlldp/openlldp.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+
+NAME="lldpd"
+DAEMON="/usr/sbin/$NAME"
+pidfile=/var/run/$NAME.pid
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${NAME}"
+ start-stop-daemon --start --quiet --pidfile ${pidfile} \
+ --exec ${DAEMON} -- ${OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${NAME}"
+ start-stop-daemon --stop --exec ${DAEMON}
+ eend $?
+}
+